/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import * as React from 'react';
import { shallow } from 'enzyme';
import Step from '../step.js';
describe('Step', function () {
  it('applies isCompleted prop correctly', function () {
    expect(shallow(React.createElement(Step, {
      isCompleted: true
    }))).toMatchSnapshot();
  });
  it('applies isActive prop correctly', function () {
    expect(shallow(React.createElement(Step, {
      isActive: true
    }))).toMatchSnapshot();
  });
  it('applies isLast prop correctly', function () {
    expect(shallow(React.createElement(Step, {
      isLast: true
    }))).toMatchSnapshot();
  });
  it('applies title prop correctly', function () {
    expect(shallow(React.createElement(Step, {
      title: "Test Title"
    }))).toMatchSnapshot();
  });
  it('renders children correctly if isActive is provided', function () {
    expect(shallow(React.createElement(Step, {
      isActive: true
    }, "Content"))).toMatchSnapshot();
  });
});